﻿using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.StoragesContracts
{
    public interface IActivityStorage
    {
        List<ActivityViewModel> GetFullList();
        List<ActivityViewModel> GetFilteredList(ActivitySearchModel model);
        ActivityViewModel? GetElement(ActivitySearchModel model);
        ActivityViewModel? Insert(ActivityBindingModel model);
        ActivityViewModel? Update(ActivityBindingModel model);
        ActivityViewModel? Delete(ActivityBindingModel model);
    }
}
